Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.discovery
Class OutgoingSearchResponseServiceType

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<O>
          org.teleal.cling.model.message.OutgoingDatagramMessage<UpnpResponse>
              org.teleal.cling.model.message.discovery.OutgoingSearchResponse
                  org.teleal.cling.model.message.discovery.OutgoingSearchResponseServiceType

    public class OutgoingSearchResponseServiceType

extends OutgoingSearchResponse

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`OutgoingSearchResponseServiceType(IncomingDatagramMessage request, Locator locator, LocalDevice device, ServiceType serviceType)`

Method Summary

Methods inherited from class org.teleal.cling.model.message.OutgoingDatagramMessage
`getDestinationAddress, getDestinationPort`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutgoingSearchResponseServiceType

    public OutgoingSearchResponseServiceType(IncomingDatagramMessage request,
                                             Locator locator,
                                             LocalDevice device,
                                             ServiceType serviceType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.